foldersTree = gFld("<b>Cryptographic Token Interface Standard</b>", "", "")
     insDoc(foldersTree, gLnk("Introduction", "", "main.html"))
     insDoc(foldersTree, gLnk("Scope", "", "group__SEC__2__SCOPE.html"))
     insDoc(foldersTree, gLnk("References", "", "group__SEC__3__REFERENCES.html"))
     insDoc(foldersTree, gLnk("Definitions", "", "group__SEC__4__DEFINITIONS.html"))
     insDoc(foldersTree, gLnk("Symbols and abbreviations", "", "group__SEC__5__SYMBOLS__AND__ABBREVIATIONS.html"))
aux1 = insFld(foldersTree, gFld("General overview", "", "group__SEC__6__GENERAL__OVERVIEW.html"))
       insDoc(aux1, gLnk("Design goals", "", "group__SEC__6__2__DESIGN__GOALS.html"))
       insDoc(aux1, gLnk("General model", "", "group__SEC__6__3__GENERAL__MODEL.html"))
       insDoc(aux1, gLnk("Logical view of a token", "", "group__SEC__6__4__LOGICAL__VIEW__OF__A__TOKEN.html"))
       insDoc(aux1, gLnk("Users", "", "group__SEC__6__5__USERS.html"))
  aux2 = insFld(aux1, gFld("Applications and their use of Cryptoki", "", "group__SEC__6__6__APPLICATIONS__AND__THEIR__USE__OF__CRYPTOKI.html"))
         insDoc(aux2, gLnk("Applications and processes", "", "group__SEC__6__6__1__APPLICATIONS__AND__PROCESSES.html"))
         insDoc(aux2, gLnk("Applications and threads", "", "group__SEC__6__6__2__APPLICATIONS__AND__THREADS.html"))
  aux2 = insFld(aux1, gFld("Sessions", "", "group__SEC__6__7__SESSIONS.html"))
         insDoc(aux2, gLnk("Read-only session states", "", "group__SEC__6__7__1__READ__ONLY__SESSION__STATES.html"))
         insDoc(aux2, gLnk("Read/write session states", "", "group__SEC__6__7__2__READ__WRITE__SESSION__STATES.html"))
         insDoc(aux2, gLnk("Permitted object accesses by sessions", "", "group__SEC__6__7__3__PERMITTED__OBJECT__ACCESSES__BY__SESSIONS.html"))
         insDoc(aux2, gLnk("Session events", "", "group__SEC__6__7__4__SESSION__EVENTS.html"))
         insDoc(aux2, gLnk("Session handles and object handles", "", "group__SEC__6__7__5__SESSION__HANDLES__AND__OBJECT__HANDLES.html"))
         insDoc(aux2, gLnk("Capabilities of sessions", "", "group__SEC__6__7__6__CAPABILITIES__OF__SESSIONS.html"))
         insDoc(aux2, gLnk("Example of use of sessions", "", "group__SEC__6__7__7__EXAMPLE__OF__USE__OF__SESSIONS.html"))
       insDoc(aux1, gLnk("Secondary authentication (Deprecated)", "", "group__SEC__6__8__SECONDARY__AUTHENTICATION__.html"))
       insDoc(aux1, gLnk("Function overview", "", "group__SEC__6__9__FUNCTION__OVERVIEW.html"))
     insDoc(foldersTree, gLnk("Security considerations", "", "group__SEC__7__SECURITY__CONSIDERATIONS.html"))
aux1 = insFld(foldersTree, gFld("Platform- and compiler-dependent directives for C or C++", "", "group__SEC__8__PLATFORM____AND__COMPILER__DEPENDENT__DIRECTIVES__FOR__C__OR__C____.html"))
       insDoc(aux1, gLnk("Structure packing", "", "group__SEC__8__1__STRUCTURE__PACKING.html"))
       insDoc(aux1, gLnk("Pointer-related macros", "", "group__SEC__8__2__POINTER__RELATED__MACROS.html"))
  aux2 = insFld(aux1, gFld("Sample platform- and compiler-dependent code", "", "group__SEC__8__3__SAMPLE__PLATFORM____AND__COMPILER__DEPENDENT__CODE.html"))
         insDoc(aux2, gLnk("Win32", "", "group__SEC__8__3__1__WIN32.html"))
         insDoc(aux2, gLnk("Win16", "", "group__SEC__8__3__2__WIN16.html"))
         insDoc(aux2, gLnk("Generic UNIX", "", "group__SEC__8__3__3__GENERIC__UNIX.html"))
aux1 = insFld(foldersTree, gFld("General data types", "", "group__SEC__9__GENERAL__DATA__TYPES.html"))
       insDoc(aux1, gLnk("General information", "", "group__SEC__9__1__GENERAL__INFORMATION.html"))
       insDoc(aux1, gLnk("Slot and token types", "", "group__SEC__9__2__SLOT__AND__TOKEN__TYPES.html"))
       insDoc(aux1, gLnk("Session types", "", "group__SEC__9__3__SESSION__TYPES.html"))
       insDoc(aux1, gLnk("Object types", "", "group__SEC__9__4__OBJECT__TYPES.html"))
       insDoc(aux1, gLnk("Data types for mechanisms", "", "group__SEC__9__5__DATA__TYPES__FOR__MECHANISMS.html"))
       insDoc(aux1, gLnk("Function types", "", "group__SEC__9__6__FUNCTION__TYPES.html"))
       insDoc(aux1, gLnk("Locking-related types", "", "group__SEC__9__7__LOCKING__RELATED__TYPES.html"))
aux1 = insFld(foldersTree, gFld("Objects", "", "group__SEC__10__OBJECTS.html"))
  aux2 = insFld(aux1, gFld("Creating, modifying, and copying objects", "", "group__SEC__10__1__CREATING____MODIFYING____AND__COPYING__OBJECTS.html"))
         insDoc(aux2, gLnk("Creating objects", "", "group__SEC__10__1__1__CREATING__OBJECTS.html"))
         insDoc(aux2, gLnk("Modifying objects", "", "group__SEC__10__1__2__MODIFYING__OBJECTS.html"))
         insDoc(aux2, gLnk("Copying objects", "", "group__SEC__10__1__3__COPYING__OBJECTS.html"))
       insDoc(aux1, gLnk("Common attributes", "", "group__SEC__10__2__COMMON__ATTRIBUTES.html"))
  aux2 = insFld(aux1, gFld("Hardware Feature Objects", "", "group__SEC__10__3__HARDWARE__FEATURE__OBJECTS.html"))
         insDoc(aux2, gLnk("Clock", "", "group__SEC__10__3__3__CLOCK.html"))
         insDoc(aux2, gLnk("Monotonic Counter Objects", "", "group__SEC__10__3__4__MONOTONIC__COUNTER__OBJECTS.html"))
         insDoc(aux2, gLnk("User Interface Objects", "", "group__SEC__10__3__5__USER__INTERFACE__OBJECTS.html"))
       insDoc(aux1, gLnk("Storage Objects", "", "group__SEC__10__4__STORAGE__OBJECTS.html"))
       insDoc(aux1, gLnk("Data objects", "", "group__SEC__10__5__DATA__OBJECTS.html"))
  aux2 = insFld(aux1, gFld("Certificate objects", "", "group__SEC__10__6__CERTIFICATE__OBJECTS.html"))
         insDoc(aux2, gLnk("X.509 public key certificate objects", "", "group__SEC__10__6__3__X__509__PUBLIC__KEY__CERTIFICATE__OBJECTS.html"))
         insDoc(aux2, gLnk("WTLS public key certificate objects", "", "group__SEC__10__6__4__WTLS__PUBLIC__KEY__CERTIFICATE__OBJECTS.html"))
         insDoc(aux2, gLnk("X.509 attribute certificate objects", "", "group__SEC__10__6__5__X__509__ATTRIBUTE__CERTIFICATE__OBJECTS.html"))
       insDoc(aux1, gLnk("Key objects", "", "group__SEC__10__7__KEY__OBJECTS.html"))
       insDoc(aux1, gLnk("Public key objects", "", "group__SEC__10__8__PUBLIC__KEY__OBJECTS.html"))
       insDoc(aux1, gLnk("Private key objects", "", "group__SEC__10__9__PRIVATE__KEY__OBJECTS.html"))
       insDoc(aux1, gLnk("Secret key objects", "", "group__SEC__10__10__SECRET__KEY__OBJECTS.html"))
       insDoc(aux1, gLnk("Domain parameter objects", "", "group__SEC__10__11__DOMAIN__PARAMETER__OBJECTS.html"))
       insDoc(aux1, gLnk("Mechanism objects", "", "group__SEC__10__12__MECHANISM__OBJECTS.html"))
aux1 = insFld(foldersTree, gFld("Functions", "", "group__SEC__11__FUNCTIONS.html"))
  aux2 = insFld(aux1, gFld("Function return values", "", "group__SEC__11__1__FUNCTION__RETURN__VALUES.html"))
         insDoc(aux2, gLnk("Universal Cryptoki function return values", "", "group__SEC__11__1__1__UNIVERSAL__CRYPTOKI__FUNCTION__RETURN__VALUES.html"))
         insDoc(aux2, gLnk("Cryptoki function return values for functions that use a session handle", "", "group__SEC__11__1__2__CRYPTOKI__FUNCTION__RETURN__VALUES__FOR__FUNCTIONS__THAT__USE__A__SESSION__HANDLE.html"))
         insDoc(aux2, gLnk("Cryptoki function return values for functions that use a token", "", "group__SEC__11__1__3__CRYPTOKI__FUNCTION__RETURN__VALUES__FOR__FUNCTIONS__THAT__USE__A__TOKEN.html"))
         insDoc(aux2, gLnk("Special return value for application-supplied callbacks", "", "group__SEC__11__1__4__SPECIAL__RETURN__VALUE__FOR__APPLICATION__SUPPLIED__CALLBACKS.html"))
         insDoc(aux2, gLnk("Special return values for mutex-handling functions", "", "group__SEC__11__1__5__SPECIAL__RETURN__VALUES__FOR__MUTEX__HANDLING__FUNCTIONS.html"))
         insDoc(aux2, gLnk("All other Cryptoki function return values", "", "group__SEC__11__1__6__ALL__OTHER__CRYPTOKI__FUNCTION__RETURN__VALUES.html"))
         insDoc(aux2, gLnk("More on relative priorities of Cryptoki errors", "", "group__SEC__11__1__7__MORE__ON__RELATIVE__PRIORITIES__OF__CRYPTOKI__ERRORS.html"))
         insDoc(aux2, gLnk("Error code 'gotchas'", "", "group__SEC__11__1__8__ERROR__CODE____GOTCHAS__.html"))
       insDoc(aux1, gLnk("Conventions for functions returning output in a variable-length buffer", "", "group__SEC__11__2__CONVENTIONS__FOR__FUNCTIONS__RETURNING__OUTPUT__IN__A__VARIABLE__LENGTH__BUFFER.html"))
       insDoc(aux1, gLnk("Disclaimer concerning sample code", "", "group__SEC__11__3__DISCLAIMER__CONCERNING__SAMPLE__CODE.html"))
       insDoc(aux1, gLnk("General-purpose functions", "", "group__SEC__11__4__GENERAL__PURPOSE__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Slot and token management functions", "", "group__SEC__11__5__SLOT__AND__TOKEN__MANAGEMENT__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Session management functions", "", "group__SEC__11__6__SESSION__MANAGEMENT__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Object management functions", "", "group__SEC__11__7__OBJECT__MANAGEMENT__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Encryption functions", "", "group__SEC__11__8__ENCRYPTION__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Decryption functions", "", "group__SEC__11__9__DECRYPTION__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Message digesting functions", "", "group__SEC__11__10__MESSAGE__DIGESTING__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Signing and MACing functions", "", "group__SEC__11__11__SIGNING__AND__MACING__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Functions for verifying signatures and MACs", "", "group__SEC__11__12__FUNCTIONS__FOR__VERIFYING__SIGNATURES__AND__MACS.html"))
       insDoc(aux1, gLnk("Dual-function cryptographic functions", "", "group__SEC__11__13__DUAL__FUNCTION__CRYPTOGRAPHIC__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Key management functions", "", "group__SEC__11__14__KEY__MANAGEMENT__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Random number generation functions", "", "group__SEC__11__15__RANDOM__NUMBER__GENERATION__FUNCTIONS.html"))
       insDoc(aux1, gLnk("Parallel function management functions", "", "group__SEC__11__16__PARALLEL__FUNCTION__MANAGEMENT__FUNCTIONS.html"))
  aux2 = insFld(aux1, gFld("Callback functions", "", "group__SEC__11__17__CALLBACK__FUNCTIONS.html"))
         insDoc(aux2, gLnk("Surrender callbacks", "", "group__SEC__11__17__1__SURRENDER__CALLBACKS.html"))
         insDoc(aux2, gLnk("Vendor-defined callbacks", "", "group__SEC__11__17__2__VENDOR__DEFINED__CALLBACKS.html"))
aux1 = insFld(foldersTree, gFld("Cryptoki tips and reminders", "", "group__SEC__12__CRYPTOKI__TIPS__AND__REMINDERS.html"))
       insDoc(aux1, gLnk("Operations, sessions, and threads", "", "group__SEC__12__1__OPERATIONS____SESSIONS____AND__THREADS.html"))
       insDoc(aux1, gLnk("Multiple Application Access Behavior", "", "group__SEC__12__2__MULTIPLE__APPLICATION__ACCESS__BEHAVIOR.html"))
       insDoc(aux1, gLnk("Objects, attributes, and templates", "", "group__SEC__12__3__OBJECTS____ATTRIBUTES____AND__TEMPLATES.html"))
       insDoc(aux1, gLnk("Signing with recovery", "", "group__SEC__12__4__SIGNING__WITH__RECOVERY.html"))
     insDoc(foldersTree, gLnk("Manifest constants", "", "group__SEC__13__MANIFEST__CONSTANTS.html"))
aux1 = insFld(foldersTree, gFld("Token profiles", "", "group__SEC__14__TOKEN__PROFILES.html"))
       insDoc(aux1, gLnk("Government authentication-only", "", "group__SEC__14__1__GOVERNMENT__AUTHENTICATION__ONLY.html"))
       insDoc(aux1, gLnk("Cellular Digital Packet Data", "", "group__SEC__14__2__CELLULAR__DIGITAL__PACKET__DATA__.html"))
       insDoc(aux1, gLnk("Other profiles", "", "group__SEC__14__3__OTHER__PROFILES__.html"))
aux1 = insFld(foldersTree, gFld("Comparison of Cryptoki and other APIs", "", "group__SEC__15__COMPARISON__OF__CRYPTOKI__AND__OTHER__APIS.html"))
       insDoc(aux1, gLnk("FORTEZZA CIPG, Rev. 1.52", "", "group__SEC__15__1__FORTEZZA__CIPG____REV____1__52.html"))
       insDoc(aux1, gLnk("GCS-API", "", "group__SEC__15__2__GCS__API.html"))
     insDoc(foldersTree, gLnk("Intellectual property considerations", "", "group__SEC__16__INTELLECTUAL__PROPERTY__CONSIDERATIONS.html"))
     insDoc(foldersTree, gLnk("Revision History", "", "group__SEC__18__REVISION__HISTORY.html"))
     insDoc(foldersTree, gLnk("Function Quick Reference", "", "annfuncs.html"))
     insDoc(foldersTree, gLnk("Data Structures", "", "annotated.html"))
     insDoc(foldersTree, gLnk("Header Files", "", "files.html"))
     insDoc(foldersTree, gLnk("Function Index", "", "funcidx.html"))
